All new Android devices must run KitKat, says alleged leaked Google memo

17th Feb 2014 | 18:04

All new Android devices must run KitKat, says alleged leaked Google memo

Google wants OEMs on the ball with latest versions

Android device manufacturers could soon be banned from launching their handsets on older versions of the operating system, Google has decreed in a purported leaked internal memo.

The memo, obtained by MobileBurn, expresses that all new handsets must run Android 4.4 KitKat if they want access to the Google Play Store and other Google Mobile Services like Gmail and YouTube.

"Starting February 2014, Google will no longer approve GMS distribution on new Android products that ship older platform releases," the memo states.

"Each platform release will have a 'GMS approval window' that typically closes nine months after the next Android platform release is publicly available."

Ever-present fragmentation

The reported move comes as the company looks to solve the ever-present problem of Android fragmentation, which has left the vast majority of users perennially stuck on older versions.

KitKat was designed especially to befit lower-end smartphones as well as those packing the latest and greatest spec sheets, but uptake remains slow.

According to stats released by Google earlier this month, KitKat has only made it onto 1.8 per cent of devices since its launch in November 2013, struggling to graduate beyond Google's own devcies.

Enforcing KitKat - and ensuing versions - is a must on new devices would certainly assist in the process as smartphone users grow tired of companies launching phones on older versions, promising updates that take eons to arrive.

Android KitKat Android 4.4 Jelly Bean Fragmentation smartphones tablets newstrack Google
Share this Article
Google+

Apps you might like:

Most Popular

Edition: UK
TopView classic version